System Files Corrupted (Preloader)

Discussion in 'Wii - Hacking' started by JJ Says Nay, Jun 17, 2009.

Jun 17, 2009
  1. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    Hey guys, I need a bit of assistance. I've hacked Wii's before in the past but never did this happen to me. I was calling the instructions for the Softmii 2 Ultimate package when I encountered Preloader. I installed the one it came with, the Wii rebooted and it boots up into the message "System Files Corrupted." I'm able to get back to the Preloader by holding the reset button and am able to go to Homebrew Channel so I know it's able to be fixed. Problem is, I don't know how. I assume when people say to reinstall the preloader it just means install it again from the Homebrew Channel without technically uninstalling it(not sure how anyway). It still does the same. I'm not sure what information you guys need, but please ask away if it means helping and I'm willing to listen to any advice. I really appreciate any assistance [​IMG]
     


  2. diffikolt

    Newcomer diffikolt Advanced Member

    Joined:
    Apr 6, 2009
    Messages:
    84
    Country:
    United States
    Please reinstall preloader before I kill myself.

    It's a well, well known issue.
     
  3. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States

    Hence why I asked. In my first post, I said that I assume what you mean as "reinstall" as just going to Homebrew Channel and installing the Preloader again? Well I tried that. Maybe I'm missing a step? Thanks.
     
  4. Rebound

    Member Rebound GBAtemp Fan

    Joined:
    Jan 31, 2008
    Messages:
    363
    Country:
    Australia
    Try Maybe using Hack Remover?
     
  5. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    I haven't tried it, but I was scared to. Because if I remove the hack completely and the files are still corrupted, I wouldn't be able to access Homebrew Channel via the reset button will I?
     
  6. vergilite

    Member vergilite GBATemps Regular Clown

    Joined:
    Apr 14, 2009
    Messages:
    737
    Location:
    Liv-Liv-Liverpool YEAH!
    Country:
    United Kingdom
    then go to the homebrew channel install bootmii and backup the nand then use hack remover GOD WHY WON'T EVERY SANE, ABLE WII OWNER INSTALL BOOTMII its like a fairy in a jar on zelda it can save your wii from death by BRICK
     
  7. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    This may be a silly question but is there some directions I can follow to install bootmii? I can't exactly use the Zelda exploit, so I'm not sure how else I would be able to do it. I appreciate your post. I got it an a .elf file and simply putting it in the "apps" folder, HBC doesn't read it. Would I just have to get it in a .dol?
     
  8. Pip_X

    Member Pip_X GBAtemp Regular

    Joined:
    Jul 4, 2006
    Messages:
    152
    Country:
    Malaysia
    You dun need zelda. Google bannerbomb and bootmii. Putbootmii elf into the root of the sd card, and use bannerbomb.

    Btw, I having the same exact problem with you. Did you moved your disc channel before?
     
  9. OSW

    Former Staff OSW Wii King

    Joined:
    Oct 30, 2006
    Messages:
    4,796
    Country:
    Australia
    I assume you're on 4.0?

    1. Resinstall Preloader from HBC, as has been said. Make sure you're not overwriting IOS60 afterwards either.

    Since you say you've already tried that,

    2. Go into preloader settings and check that the system menu is set to run off IOS60, not 249 or any other IOS.
     
  10. mdmachine

    Newcomer mdmachine Member

    Joined:
    Jun 15, 2009
    Messages:
    33
    Country:
    United States
    OK first go to:
    http://hackmii.com/

    Get bootmii and install it VIA HBC. It will do some testing and inform you if you can install it as a boot2 or just an IOS.

    If your unlucky, like I am bootmii wont be able to install in boot2. If that's the case, as far as I can gather, bootmii is pretty much useless. They say it will have some use as an IOS for homebrew, but thats besides the point (and not much use now).

    If it installs as boot2 your good to go with great brick protection (make a NAND backup). simply run the dol from HBC.

    If it cant install, then your best brick protection is preloader.

    If your system menu is corrupted and not "fixable" via re-install of preloader, then your gunna want to down/up grade your system menu. The inherent risk is after a system menu update, preloader is gone (untill you re-install it) so any bad event to unfold during this procedure is the risk.

    Myself when I was in this position, I just ran the downgrader to 3.2u (which I prefer anyways). Let it do network install so I didn't have to bother with the wads and etc... Presto back to 3.2 and install preloader again.

    The "safe" bet is to have the appropriate wads and install the system menu that way. But I have had little problems just doing the network install, it wont harm anything if the downloads fail, just retry.

    You can find the downgrader and upgrader here:
    http://www.teknoconsolas.es/blogs/Waninkoko

    Of course try what OSW said, but if the system menu is truly corrupted then you may have to re-install that. [​IMG]

    Edit*
    O yeah if you have an elf file you can rename it to "boot.elf/.dol" and it should run fine.

    MD
     
  11. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    I haven't moved the disc channel, it only happened after Preloader was installed so I didn't even get to the "tweaking" [​IMG] As for Bannerbomb, well I don't think I can do that anyway. Correct me if I'm wrong, but I need to get into the System menu and go to Data Management to which I can't. What I guess I can try is install a system menu wad and see if that works. I heard you can use Anyregionchanger? If anyone can confirm this, what exactly would I have to do with it? Thanks [​IMG]

    OSW: No, I'm on 3.4.

    Machine: Two problems. As I've already stated, how would I install Bootmii without use of the Zelda exploit and Bannerbomb since I can't get Data Management? Also, network isn't enabled on this Wii and there's no way for me to set it up. [​IMG]


    EDIT: Oh God, without realizing the IOS is IOS50. It must have come in the package. So what can I do from here? How will I be able to get it to 60.
     
  12. mdmachine

    Newcomer mdmachine Member

    Joined:
    Jun 15, 2009
    Messages:
    33
    Country:
    United States
    If you can access The Homebrew Channel, you can execute the bootmii code. Its like running anything else from HBC.

    Bannerbomb and Zelda exploits basically are the initial exploits to run outside code for the 1st time, already done in your case since HBC is there.

    And no network, ouch... But you can prep the upgrade/downgrade procedure by having the appropriate wad's in the SD card root.

    You just do "wad installation" versus "network". What those wads are that is needed, I am not sure as I never bothered to find out. I am sure someone here knows offhand though.

    Best of luck.

    MD
     
  13. OSW

    Former Staff OSW Wii King

    Joined:
    Oct 30, 2006
    Messages:
    4,796
    Country:
    Australia
    Upgrade to 4.0 and install preloader [​IMG]
     
  14. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    I think I might have figured out why reinstalling doesn't work. Not sure. I just realized that the IOS is IOS50 and not IOS60. I didn't realize because I assumed the package came with the most up to date IOS. Not sure if this is significant, but it can be. How might I go about upgrading that from here? Thanks for everyone's assistance thus far.
     
  15. 9th_Sage

    Member 9th_Sage GBAtemp Maniac

    Joined:
    Apr 30, 2008
    Messages:
    1,481
    Country:
    United States
    Yes...if you have the HBC you don't need Bannerbomb or the TP hack. I don't know why people keep telling you to use them. [​IMG]

    Oh, but first, use something like WiiSCU to install IOS60 and IOS61. I can't remember, but the newer HBC uses one of the two. If you update the HBC with the HackMii installer, you'll need those IOS.
     
  16. WiiBlaster

    Member WiiBlaster GBAtemp Maniac

    Joined:
    Nov 23, 2008
    Messages:
    1,189
    Country:
    United States
    Just upgrade to 4.0 and re-install preloader, hmm someone already told you this, Why are you wanting to use preloader on 3.4 anyways

    edit:typo
     
  17. JJ Says Nay
    OP

    Newcomer JJ Says Nay Member

    Joined:
    Jun 16, 2009
    Messages:
    10
    Country:
    United States
    Yeah, what I'm going to wind up doing is just upgrading to 4 and then install IOS60. I just open the 4.0 WAD with WAD Manager and install it like normal or is there some other way I have to do it now?
     
  18. WiiBlaster

    Member WiiBlaster GBAtemp Maniac

    Joined:
    Nov 23, 2008
    Messages:
    1,189
    Country:
    United States
    Well from wad manager you could install IOS60 first then the system menu 4.0 in that order, Or use Waninkoko's 4.0 updater, I'm not sure which method is safer so i'll let someone else tell you that.
     
  19. mdmachine

    Newcomer mdmachine Member

    Joined:
    Jun 15, 2009
    Messages:
    33
    Country:
    United States
    Yeah system menu usually has a couple of prerequisites to install along with the actual sys wad.

    Since I always used network methods, I never kept track of what was getting put in, and I know different sys menu versions have different requirements. I never upgraded to v4 so I can't say if Waninkoko's 4.0 updater covers all bases.

    Did you already try bootmii? Last thing you want to do is install a new system menu, have something go wrong and lose the only brick protection you have.

    So just make damn sure you have what you need to upgrade to v4 without any network, is all I'll say lol.
    I wish I could be of more precise help, but I am sure someone here knows exactly what you need.

    In the mean time get bootmii to install from HBC and see if you can have it install to boot2. That would be my #1 priority if I were you.

    MD
     
  20. mdmachine

    Newcomer mdmachine Member

    Joined:
    Jun 15, 2009
    Messages:
    33
    Country:
    United States
    Yeah upon quick glance of the readme, Waninkoko's 4.0 updater needs an internet connection.

    So gunna have to find out how to update without that...
    And go buy a wifi router asap, lol.

    20 bucks could have saved you allot of trouble, no? [​IMG]

    MD
     

Share This Page